## plasma-workspace 6.6.1

=== applets/CMakeLists.txt ===
add_subdirectory(activitybar)
add_subdirectory(icon)
add_subdirectory(analog-clock)
add_subdirectory(manage-inputmethod)
add_subdirectory(appmenu)
if (KSysGuard_FOUND)
    add_subdirectory(systemmonitor)
    add_subdirectory(devicenotifier)
endif()
add_subdirectory(calendar)
add_subdirectory(digital-clock)
add_subdirectory(keyboardindicator)
add_subdirectory(kicker)
add_subdirectory(lock_logout)
add_subdirectory(mediacontroller)
add_subdirectory(panelspacer)
if(BUILD_CAMERAINDICATOR)
    add_subdirectory(cameraindicator)
endif()
add_subdirectory(clipboard)

add_subdirectory(notifications)
add_subdirectory(systemtray)
